Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598570 - PXE Install fails on newer e1000e cards
PXE Install fails on newer e1000e cards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Andy Gospodarek
Network QE
:
Depends On:
Blocks: 508787
  Show dependency treegraph
 
Reported: 2010-06-01 12:13 EDT by Matthew Carpenter
Modified: 2014-04-28 05:10 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:02:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Carpenter 2010-06-01 12:13:57 EDT
Description of problem:

When you try to install RHEL6 on a T410 or T510 Lenovo laptop it fails to locate and download the kickstart file.  This is because the ethernet card drivers fail to load.  At first I assumed it was simply a missing module in the initrd.img but I am able to install on a T500 which uses the same module (e1000e) for its ethernet device.

From lspci
The T410 uses: Intel Corporation 82577LM Gigabit Network Connection (rev 6)
The T500 uses: Intel Corporation 82567LM Gigabit Network Connection (rev 3)


Version-Release number of selected component (if applicable):
RHEL6-beta


How reproducible:
Always


Steps to Reproduce:
1. Setup RHEL6 on PXE server
2. Attempt to install RHEL6 on a Lenovo T410 or T510
3.
  
Actual results:
No ethernet device available to perform network functions of installation.


Expected results:
Install proceeds with ethernet networking


Additional info:
Issue same as reported for F13 in BZ 580563 which, if I'm not mistaken, is still an issue in F13.  We are able to PXE install a T410/T510 in RHEL5.
Comment 2 Andy Gospodarek 2010-06-04 16:07:05 EDT
Can you install with another method and see what makes the ethernet driver not load?  Or what about a liveusb image of RHEL6 (there are some) and see what is happening there?

I've like to know:

1.  If downloading an image and pxe-booting messes with the hardware and leaves it in a bad state.

2.  The driver just cannot handle the network card on this system whether the system pxeboots or not.
Comment 3 Matthew Carpenter 2010-06-07 14:17:22 EDT
I was able to install using the DVD iso from http://download.devel.redhat.com/rel-eng/RHEL6.0-Snapshot-6/6.0/Workstation/x86_64/iso/RHEL6.0-20100527.2-Workstation-x86_64-DVD1.iso and pointing it at the kickstart http://rhelp.rdu.redhat.com/rhel6.cfg which does a URL based install.  So it appears to be specific to PXE installations.
Comment 4 Andy Gospodarek 2010-06-07 16:35:21 EDT
Thanks for the update, Matthew.
Comment 5 Andy Gospodarek 2010-06-10 20:58:45 EDT
I got this working on F13 (which seemed to show the same problems as RHEL6) with a small set of upstream patches.  I will make some RHEL6 test kernels make them available.

To test this, simply install the upcoming test kernels, PXE boot the system in an environment that supports PXEboot and then choose local boot.
Comment 10 Andy Gospodarek 2010-06-14 16:57:20 EDT
Posted question to Intel regarding whether or not we should take the three upstream PHY related patches or just the single one.

I should know the impact of only taking the PHY fix that resolves this issue later this week.
Comment 11 Eric Doutreleau 2010-06-18 09:23:33 EDT
i have the same problem on fedora 13

pxe cobbler install doesn't find the card
as CD cobbler install work.

is there any plan to make an update version of kernel for pxe install on fedora 13?
Comment 12 Andy Gospodarek 2010-06-18 09:58:56 EDT
(In reply to comment #11)
> i have the same problem on fedora 13
> 
> pxe cobbler install doesn't find the card
> as CD cobbler install work.
> 
> is there any plan to make an update version of kernel for pxe install on fedora
> 13?    

For F13 check out bug 580563.

A new install kernel and initrd is being tested and we would like some feedback before pushing it out and letting others know.  I'll will add you to the cc-list for that bug.
Comment 14 Aristeu Rozanski 2010-07-01 12:12:17 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 17 Hushan Jia 2010-08-16 04:35:51 EDT
no laptop with reported cards installed, set sanityonly.
Comment 18 releng-rhel@redhat.com 2010-11-15 09:02:23 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.